local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 0
end

local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onBegin()

  if getFlag("plantou5") then

    disablePause()
    disableMovement()
    doFadeWipe(false)
    wait(0.75)

    setFlag("girassolplantado")
    doFadeWipe(true)
    wait(0.75)
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_girassolplantado"))

    setFlag("comgirassol", false)
    setFlag("plantou5", false)
    enablePause()
    enableMovement()

  end

end